Sarafa API
Retrieve the main account number and a list of all wallets with their balances.
Successful retrieval of wallets
Response status (e.g., 'success', 'error', 'ok')
successUnauthorized / Invalid API Key
GET /v2/wallets HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Accept: */*
{
"status": "success",
"data": {
"account_number": "ACC-123456789",
"wallets": [
{
"currency": "USD",
"balance": 1250
}
]
}
}Retrieve balance and details for a specific currency wallet.
Supported currencies.
Successful retrieval of wallet
Response status (e.g., 'success', 'error', 'ok')
successResource Not Found
GET /v2/wallet/{currency} HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Accept: */*
{
"status": "success",
"data": {
"currency": "USD",
"balance": 1250
}
}Retrieve detailed information about a specific transaction.
The unique transaction ID.
Transaction details found
Response status (e.g., 'success', 'error', 'ok')
successResource Not Found
GET /v2/transaction/{tx_id} HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Accept: */*
{
"status": "success",
"data": {
"tx_id": "text",
"amount": 1,
"currency": "USD",
"initiated_at": "2026-01-01T00:00:00.000Z",
"completed_at": "2026-01-01T00:00:00.000Z",
"status": "completed",
"total_amount": 1,
"total_fees": 1,
"transaction_type": "transfer",
"product": "text",
"description": "text",
"customer_meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}Retrieve the current list of exchange rate pairs.
List of rates
Response status (e.g., 'success', 'error', 'ok')
successGET /v2/rates HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Accept: */*
List of rates
{
"status": "success",
"data": [
{
"pair": "USD/SSP",
"rate": 1500
}
]
}Initiate a charge request.
100.5Supported currencies.
Payer's account number
External reference ID
Charge initiated successfully
Response status (e.g., 'success', 'error', 'ok')
successBad Request / Validation Error
POST /v2/charge HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 113
{
"amount": 100.5,
"currency": "USD",
"account_number": "text",
"reference": "text",
"callback_url": "https://example.com"
}{
"status": "success",
"data": {
"tx_id": "text",
"callback_url": "text",
"checkout_url": "text"
}
}Transfer funds to a mobile money or Sarafa account.
Supported currencies.
Type of destination for the transfer.
Recipient account number
Transfer initiated successfully
Response status (e.g., 'success', 'error', 'ok')
successBad Request / Validation Error
POST /v2/transfer HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"amount": 1,
"currency": "USD",
"destination": "mobile",
"account_number": "text",
"reference": "text",
"callback_url": "https://example.com"
}{
"status": "success",
"data": {
"tx_id": "text"
}
}Check the operational status of the API.
API is healthy
Response status (e.g., 'success', 'error', 'ok')
successGET /v2/ HTTP/1.1
Host: api.sarafa.live
api-key: YOUR_API_KEY
Accept: */*
API is healthy
{
"status": "success"
}Last updated
